
TYPO3.Flow - Bug # 38547

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Http
Created: 2012-07-02 Assigned To: Bastian Waidelich
Updated: 2012-07-11 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.1
Subject: BaseUri contains default HTTPS port
Description

By resolving #37770 now the BaseUri (thus the base tag when using <f:base />) contains the HTTP port if it's not 80.
It should also be omitted for 443 (HTTPS)

Related issues:
related to TYPO3.Flow - Bug # 37770: HTTP Request does not contain port infor... Resolved 2012-06-05

Associated revisions
Revision 58354078 - 2012-07-02 13:22 - Bastian Waidelich

[BUGFIX] BaseUri contains default HTTPS port

By resolving #37770 now the BaseUri and thus the base tag when
using <f:base /> contains the HTTP port if it's not equal to 80.

This adjusts Request and Uri to omit the port if it is equal to
443 and the request scheme is https.

Change-Id: Ie62bce984e23b829e25c7ba9ca00e527e79958b1
Fixes: #38547
Related: #37770
Releases: 1.1, 1.2

Revision fc7b8774 - 2012-07-04 16:00 - Bastian Waidelich

[BUGFIX] BaseUri contains default HTTPS port

By resolving #37770 now the BaseUri and thus the base tag when
using <f:base /> contains the HTTP port if it's not equal to 80.

This adjusts Request and Uri to omit the port if it is equal to
443 and the request scheme is https.

Change-Id: Ie62bce984e23b829e25c7ba9ca00e527e79958b1
Fixes: #38547
Related: #37770
Releases: 1.1, 1.2
History
#1 - 2012-07-02 13:22 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12515

#2 - 2012-07-04 09:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:58354078b93ed5678abf205bb6563afdb4775d5a.

#3 - 2012-07-04 16:00 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12610

#4 - 2012-07-11 11:35 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:fc7b877445e9172639663f461d2410f157f5fc5d.
